#ifndef MOJEOKNOGL_H
#define MOJEOKNOGL_H

#include "OknoGL.h"

class CMojeOknoGL : public COknoGL
{
	private:
		void RysujTrojkat(float x0,float y0,float z0) const;
		unsigned int TworzListyWyswietlania(float dx,float dy,float dz,bool koloruj) const;
	private: 
		void RysujAktorow();
	//timer animacji
	private:
		float przesuniecie;
		long poprzedniCzas;
	protected:
		LRESULT WndProc(HWND hWnd, UINT message, WPARAM wParam,LPARAM lParam);		
	//zrodla swiatla
	private:
		void ZrodlaSwiatla();
		void MlecznaZarowka(float jasnosc);
		void ZoltaIZielonaMleczneZarowki();
		void Reflektor(float jasnoscRozblysk=1.0f,float jasnoscRozproszone=0.3f);
	//teksturowanie
	private:
		unsigned int indeksTekstury[3];
		void PrzygotujTekstury();

	public:
		CMojeOknoGL();
} okno;

COknoGL* p_okno=&okno;

#endif